/* estilo reproductor  */
.audio-player {
    display: flex;
    align-items: center;
    background-color: #2c3e50;
    padding: 10px;
    color: #fff;
    border-radius: 5px;
    width: 30%;
    margin-left: 41%;
    margin-top: 2%;
}

.audio-player-footer {
    opacity: 0.9;
}

.play-pause {
    font-size: 24px;
    color: #fff;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

input[type="range"] {
    flex-grow: 1;
    margin: 0 10px;
    cursor: pointer;
}

/* Estilo del círculo de la barra de progreso */
#audio-progress::-webkit-slider-thumb,
#audio-footer-progress::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 10px; /* Reduce el tamaño del círculo */
    height: 10px;
    background-color: #3498db;
    border-radius: 50%;
    cursor: pointer;
}

#audio-progress,
#audio-footer-progress {
    appearance: none;
    width: 100%;
    height: 6px;
    background: linear-gradient(to right, #e74c3c, #3498db);
    outline: none;
}
button:focus {
    outline: none;
}

.audio-player-footer {
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    background-color: #222; /* Color oscuro para que resalte */
    padding: 10px;
    z-index: 1000;
    box-sizing: border-box;
    margin-left: 0%;
    display: none;
}

 .play-pause, .play-pause-footer-btn {
    font-size: 24px;
    color: white;
    background: none;
    border: none;
    cursor: pointer;
}

#volume-slider, #footer-volume-slider {
    width: 100px;
}

#close-footer-btn {
    position: absolute;
    right: 130px;
    top: 10px;
    background-color: transparent;
    border: none;
    color: white;
    cursor: pointer;
    font-size: 18px;

}

.volume-slider {

    position: absolute;
    width: 100px; 
    height: 5px;
    margin-top: -1%;
    margin-left: 19%;

}

.volume-footer-control{
    margin-right: 10%;
}
/* Estilo del control deslizante de volumen */
.volume-slider input[type="range"] {
    width: 100%;
    cursor: pointer;


}

